Loading...
Searching...
No Matches
Dune::cpgrid::SignedEntityVariable< T, codim > Class Template Reference

A class design to hold a variable with a value for each entity of the given codimension, where the variable is changing in sign with orientation. More...

`#include <EntityRep.hpp>`

Inheritance diagram for Dune::cpgrid::SignedEntityVariable< T, codim >:

## Public Member Functions

| SignedEntityVariable ()
| Default constructor.
const T | operator[] (const EntityRep< codim > &e) const
| Random access to the variable through an EntityRep.
Public Member Functions inherited from Dune::cpgrid::EntityVariableBase< T >
| EntityVariableBase ()
| Default constructor.
const T & | get (int i) const
T & | get (int i)
void | swap (EntityVariableBase &other)

## Additional Inherited Members

Public Types inherited from Dune::cpgrid::EntityVariableBase< T >
typedef std::vector< T > | V
typedef std::vector< T >::iterator | iterator
typedef std::vector< T >::const_iterator | const_iterator

## Detailed Description

template<typename T, int codim>
class Dune::cpgrid::SignedEntityVariable< T, codim >

A class design to hold a variable with a value for each entity of the given codimension, where the variable is changing in sign with orientation.

An example is velocity fields.

Template Parameters

  T | A value type for the variable, such as double for pressure etc.
  codim | Codimension.

## Member Function Documentation

## operator[]()

template<typename T, int codim>

const T Dune::cpgrid::SignedEntityVariable< T, codim >::operator[] | ( | const EntityRep< codim > & | e | ) | const

inline

Random access to the variable through an EntityRep.

Note that this operator always returns a copy, not a reference, since we may need to flip the sign.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/EntityRep.hpp